Upload DecisionLogic XML
curl --request POST \
--url https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/decision_logic \
--header 'Content-Type: application/xml' \
--header 'x-api-key: <api-key>' \
--data '<string>'import requests
url = "https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/decision_logic"
payload = "<string>"
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/xml"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/xml'},
body: '<string>'
};
fetch('https://app.herondata.io/api/end_users/{end_user_id_or_heron_id}/decision_logic', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_summary": {
"request_id": "<string>"
}
}EndUserIntegrations
Upload DecisionLogic XML
Upload DecisionLogic XML files for a specified end user to translate into Heron Data format and add transactions for the end user
POST
/
api
/
end_users
/
{end_user_id_or_heron_id}
/
decision_logic
Upload DecisionLogic XML
Authorizations
Path Parameters
The end_user_id or heron_id of EndUser to upload
Query Parameters
ISO 4217 currency code
Example:
"USD"
Body
application/xml
The body is of type string.
Response
201 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I